# switch-case instruction/structure

	.ORG	$4000

	LDA	[N]		#Load the value
	CMPA	$01		#In case of 1 ...
	JZ	[C1]		#... go to C1
	CMPA	$03		#In case of 3 ...
	JZ	[C3]		#... go to C3
	CMPA	$05		#In case of 5 ...
	JZ	[C5]		#... go to C5
	CMPA	$06		#In case of 6 ...
	JZ	[C7]		#... go to C7
	CMPA	$07		#In case of 7 ...
	JZ	[C7]		#... go to C7
	CMPA	$09		#In case of 9 ...
	JZ	[C9]		#... go to C9
	JMP	[D]		#In any other case go to D

C1:	LDA	$4F		#Print ...
	STA	[$F031]	#... 'O' letter

C3:	LDA	$54		#Print ...
	STA	[$F031]	#... 'T' letter

C5:	LDA	$46		#Print ...
	STA	[$F031]	#... 'F' letter
	JMP	[NEXT]	#Leave switch (break)

C7:	LDA	$53		#Print ...
	STA	[$F031]	#... 'S' letter

C9:	LDA	$4E		#Print ...
	STA	[$F031]	#... 'N' letter

D:	LDA	$58		#Print ...
	STA	[$F031]	#... 'X' letter

NEXT:	LDA	$2E		#Next instruction after switch instruction
	STA	[$F031]	

	JMP	[$0000]	#Finish execution

N:	.BYTE	$08		#Static variable
	.END

# // Analogy in C:
# static char N=4;
# switch(N){
# case 1:
#   putch('O');
# case 3:
#   putch('T');
# case 5:{
#   putch('F');
#   break;
#   }
# case 6:
# case 7:
#   putch('S');
# case 9:
#   putch('N');
# default:
#   putch('X');
# putch('.');
# return 0;


#Truth table of CMPA
#	  |	Z  |	C
#-------+------------
#ACC=OP |	1  |	0
#ACC>OP |	0  |	1
#ACC<OP |	0  |	0


