# Conditional loop (for, while)

LCD:	.EQU	$F031		#Address of main display output port

	.ORG	$4000		#Set program's origin to address $4000

	LDA	$09		#Assignment instruction, load constant (literal)...
	STA	[i]		#... than save it to the address of variable
	
	JMP	[COND]	#Skip the core, jump to the condition

CORE:	LDA	[N]		#The beginning of the core of loop
	STA	[LCD]		

	LDA	[N]		
	INCA			
	STA	[N]		

	LDA	[i]		
	DECA			
	STA	[i]		#The end of the core of loop

COND:	LDA	[i]		#Condition evaluation
	JNZ	[CORE]		

	JMP	[$0000]	#Control back, finish execution

i:	.byte			#Uninitialized static variable
N:	.byte	$00		#Initialized static variable

	.end

# // Analogy in C:
# static char i;
# static char N='0';
# i=9;
# while(i!=0){
#   putch(N);
#   N++;
#   i--;
#   }
# return 0;

