# SUBROUTINE WITH LOCAL VARIABLE

CLR:		.EQU		$10
LCD:		.EQU		$F031
KEYPAD:	.EQU		$F011

		.ORG		$4000
MAIN:		BLDSP		$EFFF		#STACK POINTER INITIALIZATION
		LDA		CLR
		STA		[LCD]
READ:		LDA		[KEYPAD]
		JN		[READ]
		CMPA		$09
		JC		[READ]

		PUSHA				#PARAMETER PASSING THROUGH STACK
		JSR		[DIGITS]	#SUBROUTINE CALL TO WRITE DIGITS
		POPA				#CLEANING PARAMETER FROM STACK

		LDA		$20
		STA		[LCD]
		JMP		[READ]

# SUBROUTINE: WRITE DIGITS
DIGITS:	BSTSP		[TMP]		#SAVING SP TO TMP (SORRY, NO REGISTER-REGISTER MOVE)
		BLDX		[TMP]		#SAVING TMP TO X (X WILL BE USED AS BP)
		PUSHA				#SPACE FOR A LOCAL IN STACK (Num)
		PUSHA				#SPACE FOR A LOCAL IN STACK (Digit)
		LDA		[$0003,X]
		STA		[$FFFF,X]	#INITIALIZATION OF LOCAL VARIABLE (PARAMETER PASSING BY VALUE)
		STA		[$0000,X]
NEXT:		LDA		[$FFFF,X]
		JZ		[BACK]
		DECA
		STA		[$FFFF,X]
		LDA		[$0000,X]		
		STA		[LCD]
		JMP		[NEXT]

BACK:		BSTX		[TMP]		#RELOAD SP (CLEARING LOCAL VARIABLE)
		BLDSP		[TMP]
		RTS				#RETURN FROM SUBROUTINE

TMP:		.2BYTE			#NO REGISTER-TO-REGISTER COPY
		.END

#void DIGITS(char Num){
#   char Digit=Num;
#   for(;Num>0;Num--)
#      putch(Digit);
#   return;
#   }